]> Shamusworld >> Repos - architektonas/blob - fparser/config.status
285ac90136ad83bdd08bc2fc008bf92fc74a0c0e
[architektonas] / fparser / config.status
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization.  ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17   emulate sh
18   NULLCMD=:
19   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20   # is contrary to our usage.  Disable this feature.
21   alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23   set -o posix
24 fi
25
26 # Support unset when possible.
27 if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
28   as_unset=unset
29 else
30   as_unset=false
31 fi
32
33
34 # Work around bugs in pre-3.0 UWIN ksh.
35 $as_unset ENV MAIL MAILPATH
36 PS1='$ '
37 PS2='> '
38 PS4='+ '
39
40 # NLS nuisances.
41 for as_var in \
42   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
43   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
44   LC_TELEPHONE LC_TIME
45 do
46   if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`"); then
47     eval $as_var=C; export $as_var
48   else
49     $as_unset $as_var
50   fi
51 done
52
53 # Required to use basename.
54 if expr a : '\(a\)' >/dev/null 2>&1; then
55   as_expr=expr
56 else
57   as_expr=false
58 fi
59
60 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
61   as_basename=basename
62 else
63   as_basename=false
64 fi
65
66
67 # Name of the executable.
68 as_me=`$as_basename "$0" ||
69 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
70          X"$0" : 'X\(//\)$' \| \
71          X"$0" : 'X\(/\)$' \| \
72          .     : '\(.\)' 2>/dev/null ||
73 echo X/"$0" |
74     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
75           /^X\/\(\/\/\)$/{ s//\1/; q; }
76           /^X\/\(\/\).*/{ s//\1/; q; }
77           s/.*/./; q'`
78
79
80 # PATH needs CR, and LINENO needs CR and PATH.
81 # Avoid depending upon Character Ranges.
82 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
83 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
84 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
85 as_cr_digits='0123456789'
86 as_cr_alnum=$as_cr_Letters$as_cr_digits
87
88 # The user is always right.
89 if test "${PATH_SEPARATOR+set}" != set; then
90   echo "#! /bin/sh" >conf$$.sh
91   echo  "exit 0"   >>conf$$.sh
92   chmod +x conf$$.sh
93   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
94     PATH_SEPARATOR=';'
95   else
96     PATH_SEPARATOR=:
97   fi
98   rm -f conf$$.sh
99 fi
100
101
102   as_lineno_1=$LINENO
103   as_lineno_2=$LINENO
104   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
105   test "x$as_lineno_1" != "x$as_lineno_2" &&
106   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
107   # Find who we are.  Look in the path if we contain no path at all
108   # relative or not.
109   case $0 in
110     *[\\/]* ) as_myself=$0 ;;
111     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
112 for as_dir in $PATH
113 do
114   IFS=$as_save_IFS
115   test -z "$as_dir" && as_dir=.
116   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
117 done
118
119        ;;
120   esac
121   # We did not find ourselves, most probably we were run as `sh COMMAND'
122   # in which case we are not to be found in the path.
123   if test "x$as_myself" = x; then
124     as_myself=$0
125   fi
126   if test ! -f "$as_myself"; then
127     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
128 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
129    { (exit 1); exit 1; }; }
130   fi
131   case $CONFIG_SHELL in
132   '')
133     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
134 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
135 do
136   IFS=$as_save_IFS
137   test -z "$as_dir" && as_dir=.
138   for as_base in sh bash ksh sh5; do
139          case $as_dir in
140          /*)
141            if ("$as_dir/$as_base" -c '
142   as_lineno_1=$LINENO
143   as_lineno_2=$LINENO
144   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
145   test "x$as_lineno_1" != "x$as_lineno_2" &&
146   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
147              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
148              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
149              CONFIG_SHELL=$as_dir/$as_base
150              export CONFIG_SHELL
151              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
152            fi;;
153          esac
154        done
155 done
156 ;;
157   esac
158
159   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
160   # uniformly replaced by the line number.  The first 'sed' inserts a
161   # line-number line before each line; the second 'sed' does the real
162   # work.  The second script uses 'N' to pair each line-number line
163   # with the numbered line, and appends trailing '-' during
164   # substitution so that $LINENO is not a special case at line end.
165   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
166   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
167   sed '=' <$as_myself |
168     sed '
169       N
170       s,$,-,
171       : loop
172       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
173       t loop
174       s,-$,,
175       s,^['$as_cr_digits']*\n,,
176     ' >$as_me.lineno &&
177   chmod +x $as_me.lineno ||
178     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
179 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
180    { (exit 1); exit 1; }; }
181
182   # Don't try to exec as it changes $[0], causing all sort of problems
183   # (the dirname of $[0] is not the place where we might find the
184   # original and so on.  Autoconf is especially sensible to this).
185   . ./$as_me.lineno
186   # Exit status is that of the last command.
187   exit
188 }
189
190
191 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
192   *c*,-n*) ECHO_N= ECHO_C='
193 ' ECHO_T='      ' ;;
194   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
195   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
196 esac
197
198 if expr a : '\(a\)' >/dev/null 2>&1; then
199   as_expr=expr
200 else
201   as_expr=false
202 fi
203
204 rm -f conf$$ conf$$.exe conf$$.file
205 echo >conf$$.file
206 if ln -s conf$$.file conf$$ 2>/dev/null; then
207   # We could just check for DJGPP; but this test a) works b) is more generic
208   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
209   if test -f conf$$.exe; then
210     # Don't use ln at all; we don't have any links
211     as_ln_s='cp -p'
212   else
213     as_ln_s='ln -s'
214   fi
215 elif ln conf$$.file conf$$ 2>/dev/null; then
216   as_ln_s=ln
217 else
218   as_ln_s='cp -p'
219 fi
220 rm -f conf$$ conf$$.exe conf$$.file
221
222 if mkdir -p . 2>/dev/null; then
223   as_mkdir_p=:
224 else
225   as_mkdir_p=false
226 fi
227
228 as_executable_p="test -f"
229
230 # Sed expression to map a string onto a valid CPP name.
231 as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
232
233 # Sed expression to map a string onto a valid variable name.
234 as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
235
236
237 # IFS
238 # We need space, tab and new line, in precisely that order.
239 as_nl='
240 '
241 IFS="   $as_nl"
242
243 # CDPATH.
244 $as_unset CDPATH
245
246 exec 6>&1
247
248 # Open the log real soon, to keep \$[0] and so on meaningful, and to
249 # report actual input values of CONFIG_FILES etc. instead of their
250 # values after options handling.  Logging --version etc. is OK.
251 exec 5>>config.log
252 {
253   echo
254   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
255 ## Running $as_me. ##
256 _ASBOX
257 } >&5
258 cat >&5 <<_CSEOF
259
260 This file was extended by $as_me, which was
261 generated by GNU Autoconf 2.57.  Invocation command line was
262
263   CONFIG_FILES    = $CONFIG_FILES
264   CONFIG_HEADERS  = $CONFIG_HEADERS
265   CONFIG_LINKS    = $CONFIG_LINKS
266   CONFIG_COMMANDS = $CONFIG_COMMANDS
267   $ $0 $@
268
269 _CSEOF
270 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
271 echo >&5
272 config_files=" Makefile"
273
274 ac_cs_usage="\
275 \`$as_me' instantiates files from templates according to the
276 current configuration.
277
278 Usage: $0 [OPTIONS] [FILE]...
279
280   -h, --help       print this help, then exit
281   -V, --version    print version number, then exit
282   -q, --quiet      do not print progress messages
283   -d, --debug      don't remove temporary files
284       --recheck    update $as_me by reconfiguring in the same conditions
285   --file=FILE[:TEMPLATE]
286                    instantiate the configuration file FILE
287
288 Configuration files:
289 $config_files
290
291 Report bugs to <bug-autoconf@gnu.org>."
292 ac_cs_version="\
293 config.status
294 configured by ./configure, generated by GNU Autoconf 2.57,
295   with options \"\"
296
297 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
298 Free Software Foundation, Inc.
299 This config.status script is free software; the Free Software Foundation
300 gives unlimited permission to copy, distribute and modify it."
301 srcdir=.
302 INSTALL="/usr/bin/install -c"
303 # If no file are specified by the user, then we need to provide default
304 # value.  By we need to know if files were specified by the user.
305 ac_need_defaults=:
306 while test $# != 0
307 do
308   case $1 in
309   --*=*)
310     ac_option=`expr "x$1" : 'x\([^=]*\)='`
311     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
312     ac_shift=:
313     ;;
314   -*)
315     ac_option=$1
316     ac_optarg=$2
317     ac_shift=shift
318     ;;
319   *) # This is not an option, so the user has probably given explicit
320      # arguments.
321      ac_option=$1
322      ac_need_defaults=false;;
323   esac
324
325   case $ac_option in
326   # Handling of the options.
327   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
328     ac_cs_recheck=: ;;
329   --version | --vers* | -V )
330     echo "$ac_cs_version"; exit 0 ;;
331   --he | --h)
332     # Conflict between --help and --header
333     { { echo "$as_me:$LINENO: error: ambiguous option: $1
334 Try \`$0 --help' for more information." >&5
335 echo "$as_me: error: ambiguous option: $1
336 Try \`$0 --help' for more information." >&2;}
337    { (exit 1); exit 1; }; };;
338   --help | --hel | -h )
339     echo "$ac_cs_usage"; exit 0 ;;
340   --debug | --d* | -d )
341     debug=: ;;
342   --file | --fil | --fi | --f )
343     $ac_shift
344     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
345     ac_need_defaults=false;;
346   --header | --heade | --head | --hea )
347     $ac_shift
348     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
349     ac_need_defaults=false;;
350   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
351   | -silent | --silent | --silen | --sile | --sil | --si | --s)
352     ac_cs_silent=: ;;
353
354   # This is an error.
355   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
356 Try \`$0 --help' for more information." >&5
357 echo "$as_me: error: unrecognized option: $1
358 Try \`$0 --help' for more information." >&2;}
359    { (exit 1); exit 1; }; } ;;
360
361   *) ac_config_targets="$ac_config_targets $1" ;;
362
363   esac
364   shift
365 done
366
367 ac_configure_extra_args=
368
369 if $ac_cs_silent; then
370   exec 6>/dev/null
371   ac_configure_extra_args="$ac_configure_extra_args --silent"
372 fi
373
374 if $ac_cs_recheck; then
375   echo "running /bin/sh ./configure "  $ac_configure_extra_args " --no-create --no-recursion" >&6
376   exec /bin/sh ./configure  $ac_configure_extra_args --no-create --no-recursion
377 fi
378
379 for ac_config_target in $ac_config_targets
380 do
381   case "$ac_config_target" in
382   # Handling of arguments.
383   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
384   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
385 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
386    { (exit 1); exit 1; }; };;
387   esac
388 done
389
390 # If the user did not use the arguments to specify the items to instantiate,
391 # then the envvar interface is used.  Set only those that are not.
392 # We use the long form for the default assignment because of an extremely
393 # bizarre bug on SunOS 4.1.3.
394 if $ac_need_defaults; then
395   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
396 fi
397
398 # Have a temporary directory for convenience.  Make it in the build tree
399 # simply because there is no reason to put it here, and in addition,
400 # creating and moving files from /tmp can sometimes cause problems.
401 # Create a temporary directory, and hook for its removal unless debugging.
402 $debug ||
403 {
404   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
405   trap '{ (exit 1); exit 1; }' 1 2 13 15
406 }
407
408 # Create a (secure) tmp directory for tmp files.
409
410 {
411   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
412   test -n "$tmp" && test -d "$tmp"
413 }  ||
414 {
415   tmp=./confstat$$-$RANDOM
416   (umask 077 && mkdir $tmp)
417 } ||
418 {
419    echo "$me: cannot create a temporary directory in ." >&2
420    { (exit 1); exit 1; }
421 }
422
423
424 #
425 # CONFIG_FILES section.
426 #
427
428 # No need to generate the scripts if there are no CONFIG_FILES.
429 # This happens for instance when ./config.status config.h
430 if test -n "$CONFIG_FILES"; then
431   # Protect against being on the right side of a sed subst in config.status.
432   sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
433    s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
434 s,@SHELL@,/bin/sh,;t t
435 s,@PATH_SEPARATOR@,:,;t t
436 s,@PACKAGE_NAME@,,;t t
437 s,@PACKAGE_TARNAME@,,;t t
438 s,@PACKAGE_VERSION@,,;t t
439 s,@PACKAGE_STRING@,,;t t
440 s,@PACKAGE_BUGREPORT@,,;t t
441 s,@exec_prefix@,${prefix},;t t
442 s,@prefix@,/usr/local,;t t
443 s,@program_transform_name@,s,x,x,,;t t
444 s,@bindir@,${exec_prefix}/bin,;t t
445 s,@sbindir@,${exec_prefix}/sbin,;t t
446 s,@libexecdir@,${exec_prefix}/libexec,;t t
447 s,@datadir@,${prefix}/share,;t t
448 s,@sysconfdir@,${prefix}/etc,;t t
449 s,@sharedstatedir@,${prefix}/com,;t t
450 s,@localstatedir@,${prefix}/var,;t t
451 s,@libdir@,${exec_prefix}/lib,;t t
452 s,@includedir@,${prefix}/include,;t t
453 s,@oldincludedir@,/usr/include,;t t
454 s,@infodir@,${prefix}/info,;t t
455 s,@mandir@,${prefix}/man,;t t
456 s,@build_alias@,,;t t
457 s,@host_alias@,,;t t
458 s,@target_alias@,,;t t
459 s,@DEFS@,-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DLINUX=1 -DSTDC_HEADERS=1 ,;t t
460 s,@ECHO_C@,,;t t
461 s,@ECHO_N@,-n,;t t
462 s,@ECHO_T@,,;t t
463 s,@LIBS@,,;t t
464 s,@build@,i686-pc-linux-gnu,;t t
465 s,@build_cpu@,i686,;t t
466 s,@build_vendor@,pc,;t t
467 s,@build_os@,linux-gnu,;t t
468 s,@host@,i686-pc-linux-gnu,;t t
469 s,@host_cpu@,i686,;t t
470 s,@host_vendor@,pc,;t t
471 s,@host_os@,linux-gnu,;t t
472 s,@CC@,gcc,;t t
473 s,@CFLAGS@,-g -O2 ,;t t
474 s,@LDFLAGS@,  -L/usr/local/lib,;t t
475 s,@CPPFLAGS@,,;t t
476 s,@ac_ct_CC@,gcc,;t t
477 s,@EXEEXT@,,;t t
478 s,@OBJEXT@,o,;t t
479 s,@CPP@,gcc -E,;t t
480 s,@INSTALL_PROGRAM@,${INSTALL},;t t
481 s,@INSTALL_SCRIPT@,${INSTALL},;t t
482 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
483 s,@FIND@,find,;t t
484 s,@MAKEDEPEND@,makedepend,;t t
485 s,@X_CFLAGS@,,;t t
486 s,@X_PRE_LIBS@, -lSM -lICE,;t t
487 s,@X_LIBS@,,;t t
488 s,@X_EXTRA_LIBS@,,;t t
489 s,@EGREP@,grep -E,;t t
490 s,@LIBOBJS@,,;t t
491 s,@LTLIBOBJS@,,;t t
492 CEOF
493
494   # Split the substitutions into bite-sized pieces for seds with
495   # small command number limits, like on Digital OSF/1 and HP-UX.
496   ac_max_sed_lines=48
497   ac_sed_frag=1 # Number of current file.
498   ac_beg=1 # First line for current file.
499   ac_end=$ac_max_sed_lines # Line after last line for current file.
500   ac_more_lines=:
501   ac_sed_cmds=
502   while $ac_more_lines; do
503     if test $ac_beg -gt 1; then
504       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
505     else
506       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
507     fi
508     if test ! -s $tmp/subs.frag; then
509       ac_more_lines=false
510     else
511       # The purpose of the label and of the branching condition is to
512       # speed up the sed processing (if there are no `@' at all, there
513       # is no need to browse any of the substitutions).
514       # These are the two extra sed commands mentioned above.
515       (echo ':t
516   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
517       if test -z "$ac_sed_cmds"; then
518         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
519       else
520         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
521       fi
522       ac_sed_frag=`expr $ac_sed_frag + 1`
523       ac_beg=$ac_end
524       ac_end=`expr $ac_end + $ac_max_sed_lines`
525     fi
526   done
527   if test -z "$ac_sed_cmds"; then
528     ac_sed_cmds=cat
529   fi
530 fi # test -n "$CONFIG_FILES"
531
532 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
533   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
534   case $ac_file in
535   - | *:- | *:-:* ) # input from stdin
536         cat >$tmp/stdin
537         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
538         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
539   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
540         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
541   * )   ac_file_in=$ac_file.in ;;
542   esac
543
544   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
545   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
546 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
547          X"$ac_file" : 'X\(//\)[^/]' \| \
548          X"$ac_file" : 'X\(//\)$' \| \
549          X"$ac_file" : 'X\(/\)' \| \
550          .     : '\(.\)' 2>/dev/null ||
551 echo X"$ac_file" |
552     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
553           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
554           /^X\(\/\/\)$/{ s//\1/; q; }
555           /^X\(\/\).*/{ s//\1/; q; }
556           s/.*/./; q'`
557   { if $as_mkdir_p; then
558     mkdir -p "$ac_dir"
559   else
560     as_dir="$ac_dir"
561     as_dirs=
562     while test ! -d "$as_dir"; do
563       as_dirs="$as_dir $as_dirs"
564       as_dir=`(dirname "$as_dir") 2>/dev/null ||
565 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
566          X"$as_dir" : 'X\(//\)[^/]' \| \
567          X"$as_dir" : 'X\(//\)$' \| \
568          X"$as_dir" : 'X\(/\)' \| \
569          .     : '\(.\)' 2>/dev/null ||
570 echo X"$as_dir" |
571     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
572           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
573           /^X\(\/\/\)$/{ s//\1/; q; }
574           /^X\(\/\).*/{ s//\1/; q; }
575           s/.*/./; q'`
576     done
577     test ! -n "$as_dirs" || mkdir $as_dirs
578   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
579 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
580    { (exit 1); exit 1; }; }; }
581
582   ac_builddir=.
583
584 if test "$ac_dir" != .; then
585   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
586   # A "../" for each directory in $ac_dir_suffix.
587   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
588 else
589   ac_dir_suffix= ac_top_builddir=
590 fi
591
592 case $srcdir in
593   .)  # No --srcdir option.  We are building in place.
594     ac_srcdir=.
595     if test -z "$ac_top_builddir"; then
596        ac_top_srcdir=.
597     else
598        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
599     fi ;;
600   [\\/]* | ?:[\\/]* )  # Absolute path.
601     ac_srcdir=$srcdir$ac_dir_suffix;
602     ac_top_srcdir=$srcdir ;;
603   *) # Relative path.
604     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
605     ac_top_srcdir=$ac_top_builddir$srcdir ;;
606 esac
607 # Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
608 # absolute.
609 ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
610 ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
611 ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
612 ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
613
614
615   case $INSTALL in
616   [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
617   *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
618   esac
619
620   if test x"$ac_file" != x-; then
621     { echo "$as_me:$LINENO: creating $ac_file" >&5
622 echo "$as_me: creating $ac_file" >&6;}
623     rm -f "$ac_file"
624   fi
625   # Let's still pretend it is `configure' which instantiates (i.e., don't
626   # use $as_me), people would be surprised to read:
627   #    /* config.h.  Generated by config.status.  */
628   if test x"$ac_file" = x-; then
629     configure_input=
630   else
631     configure_input="$ac_file.  "
632   fi
633   configure_input=$configure_input"Generated from `echo $ac_file_in |
634                                      sed 's,.*/,,'` by configure."
635
636   # First look for the input files in the build tree, otherwise in the
637   # src tree.
638   ac_file_inputs=`IFS=:
639     for f in $ac_file_in; do
640       case $f in
641       -) echo $tmp/stdin ;;
642       [\\/$]*)
643          # Absolute (can't be DOS-style, as IFS=:)
644          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
645 echo "$as_me: error: cannot find input file: $f" >&2;}
646    { (exit 1); exit 1; }; }
647          echo $f;;
648       *) # Relative
649          if test -f "$f"; then
650            # Build tree
651            echo $f
652          elif test -f "$srcdir/$f"; then
653            # Source tree
654            echo $srcdir/$f
655          else
656            # /dev/null tree
657            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
658 echo "$as_me: error: cannot find input file: $f" >&2;}
659    { (exit 1); exit 1; }; }
660          fi;;
661       esac
662     done` || { (exit 1); exit 1; }
663   sed "/^[      ]*VPATH[        ]*=/{
664 s/:*\$(srcdir):*/:/;
665 s/:*\${srcdir}:*/:/;
666 s/:*@srcdir@:*/:/;
667 s/^\([^=]*=[    ]*\):*/\1/;
668 s/:*$//;
669 s/^[^=]*=[      ]*$//;
670 }
671
672 :t
673 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
674 s,@configure_input@,$configure_input,;t t
675 s,@srcdir@,$ac_srcdir,;t t
676 s,@abs_srcdir@,$ac_abs_srcdir,;t t
677 s,@top_srcdir@,$ac_top_srcdir,;t t
678 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
679 s,@builddir@,$ac_builddir,;t t
680 s,@abs_builddir@,$ac_abs_builddir,;t t
681 s,@top_builddir@,$ac_top_builddir,;t t
682 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
683 s,@INSTALL@,$ac_INSTALL,;t t
684 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
685   rm -f $tmp/stdin
686   if test x"$ac_file" != x-; then
687     mv $tmp/out $ac_file
688   else
689     cat $tmp/out
690     rm -f $tmp/out
691   fi
692
693 done
694
695 { (exit 0); exit 0; }